Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class OctetStreamDataHandlerSerializer

    java.lang.Object
      org.apache.axis.encoding.ser.JAFDataHandlerSerializer
          org.apache.axis.encoding.ser.OctetStreamDataHandlerSerializer

All Implemented Interfaces:
  Serializable, Serializer, javax.xml.rpc.encoding.Serializer

public class OctetStreamDataHandlerSerializer
extends JAFDataHandlerSerializer

application/octetstream DataHandler Serializer

Author:
  Davanum Srinivas (dims@yahoo.com)
See Also:
  Serialized Form

Constructor Summary
`OctetStreamDataHandlerSerializer()`

Method Summary
`void` | `serialize(javax.xml.namespace.QName name, Attributes attributes, Object value, SerializationContext context)` Serialize a Source DataHandler quantity.

Methods inherited from class org.apache.axis.encoding.ser.JAFDataHandlerSerializer
`getMechanismType, writeSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctetStreamDataHandlerSerializer

    public OctetStreamDataHandlerSerializer()

Method Detail

### serialize

    public void serialize(javax.xml.namespace.QName name,
                          Attributes attributes,
                          Object value,
                          SerializationContext context)
                   throws IOException

  Serialize a Source DataHandler quantity.

  Specified by:
    `serialize` in interface `Serializer`
  Overrides:
    `serialize` in class `JAFDataHandlerSerializer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.